For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Custom Variables
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • GETGet voices
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APIVoices

Get voices

||View as Markdown|
GET
/voices
GET
/v2/voices
$curl -G https://api.synthflow.ai/v2/voices \
> -H "Authorization: Bearer <token>" \
> -d workspace=1710107690998x536152705164378100
1{
2 "status": "ok",
3 "response": {
4 "pagination": {
5 "total_records": 48,
6 "limit": 50,
7 "offset": 0
8 },
9 "voices": [
10 {
11 "voice_id": "wefw5e68456wef",
12 "name": "test",
13 "preview": "",
14 "workspace": "1710107690998x536152705164378100",
15 "provider": "elevenlabs",
16 "gender": "female",
17 "languages": [
18 "en",
19 "es"
20 ]
21 }
22 ]
23 }
24}
Lists all the voices assigned to a workspace.
Was this page helpful?
Previous

List knowledge bases

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

workspacestringRequired
Workspace ID. You can find it in your dashboard.
limitintegerOptionalDefaults to 50
Voices displayed per page.
offsetintegerOptionalDefaults to 0
Index of the first voice to be returned.
searchstringOptional
Search voices by name.
providerenumOptionalDefaults to elevenlabs
Voice provider to filter by.
Allowed values:

Response

200
statusstring
responseobject

Errors

400
Bad Request Error